weka.gui.scripting

## Class GroovyScript.GroovyThread

- java.lang.Object
- - java.lang.Thread
  - - weka.gui.scripting.Script.ScriptThread
    - - weka.gui.scripting.GroovyScript.GroovyThread

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    GroovyScript

      public static class GroovyScript.GroovyThread
      extends Script.ScriptThread

  Executes a Groovy script in a thread.
  Version:
    $Revision: 8034 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyScript.GroovyThread(Script owner, java.lang.String[] args)` Initializes the thread.

  - ### Method Summary

    - ### Methods inherited from class weka.gui.scripting.Script.ScriptThread

      `getArgs, getOwner, run, stopScript`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyScript.GroovyThread

          public GroovyScript.GroovyThread(Script owner,
                                   java.lang.String[] args)

      Initializes the thread.
      Parameters:
        `owner` - the owning script
        `args` - the commandline arguments